Summary:	Free implementation of OpenAL's ALUT standard
Summary(pl.UTF-8):	Wolnodostępna implementacja standardu ALUT OpenAL-a
Name:		freealut
Version:	1.1.0
Release:	3
License:	LGPL
Group:		Libraries
#Source0Download: http://connect.creativelabs.com/openal/Downloads/Forms/AllItems.aspx?RootFolder=/openal/Downloads/ALUT
Source0:	http://connect.creativelabs.com/openal/Downloads/ALUT/%{name}-%{version}.tar.gz
# Source0-md5:	e089b28a0267faabdb6c079ee173664a
URL:		http://www.openal.org/
BuildRequires:	OpenAL-devel >= 0.0.8-1
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Free implementation of ALUT (OpenAL Utility Toolkit) standard.

%description -l pl.UTF-8
Wolnodostępna implementacja standartu ALUT (OpenAL Utility Toolkit).

%package devel
Summary:	Headers for freealut
Summary(pl.UTF-8):	Pliki nagłówkowe do freealuta
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	OpenAL-devel >= 0.0.8-1

%description devel
freealut header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe freealuta.

%package static
Summary:	Static alut library
Summary(pl.UTF-8):	Statyczna biblioteka alut
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static alut library.

%description static -l pl.UTF-8
Biblioteka alut do konsolidacji statycznej.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I admin/autotools/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libalut.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libalut.so.0

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_bindir}/freealut-config
%attr(755,root,root) %{_libdir}/libalut.so
%{_libdir}/libalut.la
%{_includedir}/AL/alut.h
%{_pkgconfigdir}/freealut.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libalut.a
%changelog
* Thu Oct 19 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/freealut.git;a=log;h=master

* Mon Mar 21 2016 Jan Rękorajski <baggins@pld-linux.org> 7958a59
- release 3 (by relup.sh)

* Thu Sep 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 0feec3f
- new Source URL
- more verbose files, track soname

* Thu Aug 13 2009 arvenil <arvenil@pld-linux.org> 0246e27
- release 2 (rebuild with OpenAL)

* Tue May 27 2008 shadzik <shadzik@pld-linux.org> f44ae0e
- ghost symlink

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 483f9ba
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> c133311
- converted to UTF-8

* Fri Oct 06 2006 Jakub Bogusz <qboosh@pld-linux.org> 75a1346
- call automake, ac version

* Wed Sep 27 2006 tommat <tommat@pld-linux.org> ea4b204
- turn on regeneration

* Sat Jul 22 2006 Jakub Bogusz <qboosh@pld-linux.org> 0999b5d
- updated to 1.1.0

* Fri Apr 14 2006 Marcin Banasiak <marcin.banasiak@gmail.com> 769ff5a
- packaged examples and documentation
- release 1

* Sat Mar 04 2006 Jakub Bogusz <qboosh@pld-linux.org> 5729f70
- cosmetics

* Fri Mar 03 2006 sparky <sparky@pld-linux.org> 50310dd
- NEW, alut library, separated from OpenAL

